Ubuntu

Specifying static network configuration in kickseed no longer works

Reported by Max on 2011-10-21
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
kickseed (Ubuntu)
High
Colin Watson
Precise
High
Colin Watson
Quantal
High
Colin Watson
Raring
High
Colin Watson
Saucy
High
Colin Watson

Bug Description

[Impact] The supported "network --bootproto=static" Kickstart option is broken during installation, so it's hard for users to tell how to preseed a static network configuration using Kickstart.
[Test Case] Put a file somewhere web-server-accessible on your local network with "network --bootproto=static --hostname=statictest.pelham.vpn.ucam.org --ip=10.0.2.16 --netmask=255.255.255.0 --gateway=10.0.2.2 --nameserver=10.0.2.3" (this is suitable for my local network with KVM; adjust to match your local environment). Boot the installer with ks=http://url/to/that/file. Once installation finishes, you should have a static network configuration, not a dynamic one using DHCP. Note that this test needs to be carried out using an installer image rebuilt against the new kickseed; we'll make one available in -proposed at some point shortly after this kickseed change is accepted into -proposed.
[Regression Potential] Confined to Kickstart, since kickseed is used for nothing else. I considered backporting the compatibility fix to netcfg instead, but that would have had a larger regression potential.

Original report follows:

In previous Ubuntu versions you used to be able to start the network installation using DHCP, and then switch over to a static network configuration in your kickstart file, with a line like:

==
network --bootproto=static --ip=1.2.3.4 --netmask=255.255.255.0 --gateway=1.2.3.1 --nameserver=8.8.8.8 --hostname=dhcpunit
==

However in Ubuntu 11.10 that does not seem to work, and it is still using DHCP after installation.

Tobias F. (tobyf) wrote :

I can confirm this. Especially hostname configuration is being ignored, too. So if there is no successful reverse DNS lookup, the hostname remains "kickseed" after reboot.

Max (bos) on 2011-12-05
Changed in kickseed (Ubuntu):
status: New → Confirmed
Frode Woldsund (frode-woldsund) wrote :

Still broken in 12.04.3 (ubuntu-server)

Colin Watson (cjwatson) wrote :

Sorry for overlooking this. I think this is actually fixed in trusty by way of a merge that made netcfg/disable_dhcp work again, but in any event it's still deprecated and the proper preseed entry for kickseed to generate is now netcfg/disable_autoconfig. I'll adjust this and upload stable updates.

Changed in kickseed (Ubuntu):
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
status: Confirmed → In Progress
Colin Watson (cjwatson) on 2013-11-08
Changed in kickseed (Ubuntu Precise):
status: New → Triaged
Changed in kickseed (Ubuntu Quantal):
status: New → Triaged
Changed in kickseed (Ubuntu Raring):
status: New → Triaged
Changed in kickseed (Ubuntu Saucy):
status: New → Triaged
Changed in kickseed (Ubuntu Precise):
importance: Undecided → High
Changed in kickseed (Ubuntu Quantal):
importance: Undecided → High
Changed in kickseed (Ubuntu Raring):
importance: Undecided → High
Changed in kickseed (Ubuntu Saucy):
importance: Undecided → High
Changed in kickseed (Ubuntu Precise):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Quantal):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Raring):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Saucy):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Precise):
milestone: none → ubuntu-12.04.4
Colin Watson (cjwatson) on 2013-11-08
description: updated
Changed in kickseed (Ubuntu Precise):
status: Triaged → In Progress
Colin Watson (cjwatson) on 2013-11-08
Changed in kickseed (Ubuntu Quantal):
status: Triaged → In Progress
Changed in kickseed (Ubuntu Raring):
status: Triaged → In Progress
Changed in kickseed (Ubuntu Saucy):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.60ubuntu1

---------------
kickseed (0.60ubuntu1) trusty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add basic RAID support. (LVM-on-RAID won't quite work yet.)
    - Add basic iSCSI support.

kickseed (0.60) unstable; urgency=low

  * Preseed netcfg/disable_autoconfig rather than deprecated
    netcfg/disable_dhcp (LP: #879605).
 -- Colin Watson <email address hidden> Fri, 08 Nov 2013 12:30:00 +0000

Changed in kickseed (Ubuntu):
status: In Progress → Fix Released

Hello Max, or anyone else affected,

Accepted kickseed into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kickseed/0.57ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kickseed (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in kickseed (Ubuntu Quantal):
status: In Progress → Fix Committed
Stéphane Graber (stgraber) wrote :

Hello Max, or anyone else affected,

Accepted kickseed into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kickseed/0.58ubuntu1.12.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kickseed (Ubuntu Raring):
status: In Progress → Fix Committed
Stéphane Graber (stgraber) wrote :

Hello Max, or anyone else affected,

Accepted kickseed into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kickseed/0.58ubuntu1.13.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kickseed (Ubuntu Saucy):
status: In Progress → Fix Committed
Stéphane Graber (stgraber) wrote :

Hello Max, or anyone else affected,

Accepted kickseed into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kickseed/0.59ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Bruce Tarro (cydizen) wrote :

Change was tested and verified for the following:

precise-proposed
kickseed_0.57ubuntu1.1.tar.gz

NOTE: I did not yet find an updated installer in http://archive.ubuntu.com/ubuntu/dists/precise-proposed/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/

I instead made the change outlined in the diff to my existing initrd.gz

Colin Watson (cjwatson) wrote :

Thanks. I've made sure that all of {precise,quantal,raring,saucy}-proposed installer images are available, and also verified that this bug is fixed in all of them.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.57ubuntu1.1

---------------
kickseed (0.57ubuntu1.1) precise; urgency=low

  * Preseed netcfg/disable_autoconfig rather than deprecated
    netcfg/disable_dhcp (LP: #879605).
 -- Colin Watson <email address hidden> Fri, 08 Nov 2013 12:35:19 +0000

Changed in kickseed (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kickseed has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.58ubuntu1.12.10.1

---------------
kickseed (0.58ubuntu1.12.10.1) quantal; urgency=low

  * Preseed netcfg/disable_autoconfig rather than deprecated
    netcfg/disable_dhcp (LP: #879605).
 -- Colin Watson <email address hidden> Fri, 08 Nov 2013 12:44:14 +0000

Changed in kickseed (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.58ubuntu1.13.04.1

---------------
kickseed (0.58ubuntu1.13.04.1) raring; urgency=low

  * Preseed netcfg/disable_autoconfig rather than deprecated
    netcfg/disable_dhcp (LP: #879605).
 -- Colin Watson <email address hidden> Fri, 08 Nov 2013 12:45:44 +0000

Changed in kickseed (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.59ubuntu1.1

---------------
kickseed (0.59ubuntu1.1) saucy; urgency=low

  * Preseed netcfg/disable_autoconfig rather than deprecated
    netcfg/disable_dhcp (LP: #879605).
 -- Colin Watson <email address hidden> Fri, 08 Nov 2013 12:47:09 +0000

Changed in kickseed (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers